#gridwrapper {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    padding: 0px;
}

#grid {
    display: inline-grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto;
    padding: 0px;
}

.sidepanel {
    padding-left: 1em;
    padding-right: 1em;
    height: 479px;
    font-size: 120%;
}

.sidepanel h3 {
    padding-top: 0px;
    margin-top: 0px;
    font-size: 90%;
}

#gamegrid {
    display: inline-grid;
    grid-template-columns: auto auto;
    grid-template-rows: 90px 256px;
    justify-content: flex-start;

    background-image: url(./ocean.png);
    background-repeat: round;
    border: 1px #65CCFF solid;
    width: 638;
    height: 459;
    padding: 35px 4em 4em 4em;
}

.heading {
    font-size: 14pt;
    font-weight: bold;
    font-family: sans-serif;
    text-align: center;
    padding-left: 10px;
    padding-right: 10px;
    color: #002373;
}

.playergrid {
    display: inline-grid;
    grid-template-columns: repeat(16, 16px);
    grid-template-rows: 16px;
    justify-content: flex-start;
    padding-left: 10px;
    padding-right: 10px;
}

.playergrid img {
    width: 16px;
    height: 16px;
}

.intro {
    font-size: 10pt;
    font-style: italic
}

.title {
    font-size: 18pt;
    font-weight: bold;
    background-color: navy;
    color: white;
    text-align: center;
    font-family: sans-serif
}

div.log {
    height: 440px;
    margin-left: 5px;
    margin-right: 5px;
    overflow: -moz-scrollbars-vertical;
    overflow-y: auto;
    text-align: left;
    font-size: 75%;
}

div.status {
    height: 410px;
    margin-left: 5px;
    margin-right: 5px;
    overflow: -moz-scrollbars-vertical;
    overflow-y: auto;
    text-align: left;
    font-size: 80%;
    line-height: 1.5em;
}

#resolve {
    font-size: 80%;
}

#start {
    margin-top: 20px;
}

.message-hit {
    color: lime;
    font-weight: bold;
}

.message-success {
    color: green;
    font-weight: bold;
}

.message-impact {
    color: magenta;
    font-weight: bold;
}

.message-capsized {
    color: crimson;
    font-weight: bold;
}

.message-giveup {
    color: red;
    font-weight: bold;
}


@media (prefers-color-scheme: dark) {

    .message-hit {
        color: #99ff99;
    }

    .message-success {
        color: #80ff00;
    }

    .message-impact {
        color: #f6a2b3;
    }

    .message-capsized {
        color: #ff3333;
    }

    .message-giveup {
        color: #ff8c66;
    }
}
